package com.lovenav.controller;

import com.lovenav.entity.Banners;
import com.lovenav.service.BannersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/banners")
public class BannersController {
    @Autowired
    private BannersService bannersService;
//    跳转链接
@RequestMapping(method = RequestMethod.GET, value = "/jump_url")
        public String jump(int id){
            return bannersService.Jump_url(id);
    }

//    添加banner
@RequestMapping(method = RequestMethod.POST, value = "/add_banner")
        public String add(@RequestBody Banners banners){
            return bannersService.Add_banner(banners);
    }

//    删除banner
@RequestMapping(method = RequestMethod.GET, value = "/delete_url")
        public String delete(int id){
            return bannersService.Delete_banner(id);
    }

//     首页显示banner
@RequestMapping(method = RequestMethod.GET, value = "/view_banner")
        public String view(){
            return bannersService.View_banner();
    }
}
